package com.dcsoft.system.vehicle.service;

import com.dcsoft.system.vehicle.domain.CarParkItem;

import java.util.List;

/**
 * 车场设备信息Service接口
 *
 * @author nichun
 * @date 2023-12-28
 */
public interface ICarParkItemService
{
    /**
     * 查询车场设备信息
     *
     * @param id 车场设备信息主键
     * @return 车场设备信息
     */
    public CarParkItem selectCarParkItemById(Long id);

    /**
     * 查询车场设备信息列表
     *
     * @param carParkItem 车场设备信息
     * @return 车场设备信息集合
     */
    public List<CarParkItem> selectCarParkItemList(CarParkItem carParkItem);

    /**
     * 新增车场设备信息
     *
     * @param carParkItem 车场设备信息
     * @return 结果
     */
    public int insertCarParkItem(CarParkItem carParkItem);

    /**
     * 修改车场设备信息
     *
     * @param carParkItem 车场设备信息
     * @return 结果
     */
    public int updateCarParkItem(CarParkItem carParkItem);

    /**
     * 批量删除车场设备信息
     *
     * @param ids 需要删除的车场设备信息主键集合
     * @return 结果
     */
    public int deleteCarParkItemByIds(Long[] ids);

    /**
     * 删除车场设备信息信息
     *
     * @param id 车场设备信息主键
     * @return 结果
     */
    public int deleteCarParkItemById(Long id);

    public int deleteParkItemByParkId(Long parkId);
}
